<?
error_reporting(E_ALL^E_NOTICE);
echo "<div class='event'><h1>Ежедневный подарок</h1></div>";
echo "<div class='block'>";
echo "<center><img src='images/podarok.png' alt='city'></img></center>";
mysql_query("INSERT INTO `kolhoz_podarok` (`user_id`, `last_auth`, `stage`) VALUES ('$ku[id]','$now','1')");
$q_gift = mysql_query("SELECT * FROM `kolhoz_podarok` WHERE `user_id` = '$ku[id]'");
$gift = mysql_fetch_array($q_gift);
$time = $gift['last_auth'] + 84600;
$now = time();
echo "<table class='post'>";
if(isset($_GET['take']))
{
if ($time < $now) {
switch ($gift['stage']) {
case 1:
        echo "Поздравляем вы получили <b>10</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '10' WHERE `id` = '$ku[id]'");
        mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 2:
        echo "Поздравляем вы получили <b>1000</b><img width='16' height='16' src='images/icons/money.png' alt='o'></br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `money` = `money` + '1000' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 3:
        echo "Поздравляем вы получили <b>15</b><img width='16' height='16' src='images/icons/almaz.png' alt='o'></br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `almaz` = `almaz` + '15' WHERE `id` = '$ku[id]'");
        mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 4:
        echo "Поздравляем вы получили <b>20</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '20' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 5:
        echo "Поздравляем вы получили <b>2000</b><img width='16' height='16' src='images/icons/money.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `money` = `money` + '2000' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 6:
        echo "Поздравляем вы получили <b>30</b><img width='16' height='16' src='images/icons/almaz.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `almaz` = `almaz` + '30' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;

case 7:
        echo "Поздравляем вы получили <b>50</b><img width='16' height='16' src='images/icons/ruby.png' alt='o'></br></br>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '50' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = '1' WHERE `user_id` = '$ku[id]'");
		break;
}
} else {
echo "Вы уже получали сегодня подарок</br></br>";
}
}

if ($time < $now) {
echo "
Вы можете ежедневно получать подарки от администрации!</br>Для этого достаточно перейти на эту страницу и заБрать свой подарок! <b>Внимание! с каждым днем подарочек растет.)</b>
<form action='?podarok&take' method='post'><br/>
<input type='submit' class='button' name='take' value='Получить подарок'/>
</form>";
} else {
$hour_t = ceil(($time - $now) / 3600);
if ($hour_t == 1 or $hour_t == 21) {
$hour = 'час';
} elseif ($hour_t >= 2 and $hour_t <= 4 or $hour_t >= 22 and $hour_t <= 24) {
$hour = 'часа';
} elseif ($hour_t >= 5 and $hour_t <= 20) {
$hour = 'часов';
}
echo "Вы уже получали сегодня свой подарочек!</br>Приходите через: <b>$hour_t $hour</b> ";
}
echo "</table>";
include_once 'inc/foot.php';
?>